IntegrationsGoogle Ads

Get one campaign with network settings, tracking template, geo target type and optimization score.

POST
/integrations/connections/{connection_id}/providers/googleads/campaigns/get

Get one campaign with network settings, tracking template, geo target type and optimization score.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/googleads/campaigns/get" \  -H "Content-Type: application/json" \  -d '{    "customer_id": "0000000000",    "campaign_id": "1"  }'
{  "campaign": {    "campaign_id": "example",    "resource_name": "example",    "name": "Customer documents",    "status": "ACTIVE"  }}